std::chrono::duration< _Rep, _Period >(3cxx)

NAME
std::chrono::duration< _Rep, _Period > - duration

SYNOPSIS

  Public Types

typedef _Period period
typedef _Rep rep

  Public Member Functions

duration (const duration &)=default
template<typename _Rep2 , typename = typename enable_if<is_convertible<_Rep2, rep>::value && (treat_as_floating_point<rep>::value || !treat_as_floating_point<_Rep2>::value)>::type> constexpr duration (const _Rep2 &__rep)
template<typename _Rep2 , typename _Period2 , typename = typename enable_if<treat_as_floating_point<rep>::value || (ratio_divide<_Period2, period>::den == 1 && !treat_as_floating_point<_Rep2>::value)>::type> constexpr duration (const duration< _Rep2, _Period2 > &__d)
constexpr rep count () const
template<typename _Rep2 = rep> enable_if<!treat_as_floating_point< _Rep2 >::value, duration & >::type operator%= (const rep &__rhs)
template<typename _Rep2 = rep> enable_if<!treat_as_floating_point< _Rep2 >::value, duration & >::type operator%= (const duration &__d)
duration & operator*= (const rep &__rhs)
constexpr duration operator+ () const
duration & operator++ ()
duration operator++ (int)
duration & operator+= (const duration &__d)
constexpr duration operator- () const
duration & operator-- ()
duration operator-- (int)
duration & operator-= (const duration &__d)
duration & operator/= (const rep &__rhs)
duration & operator= (const duration &)=default

  Static Public Member Functions

static constexpr duration max ()
static constexpr duration min ()
static constexpr duration zero ()

Detailed Description

  template<typename _Rep, typename _Period>
struct std::chrono::duration< _Rep, _Period >" duration

Definition at line 64 of file chrono.

Author

Generated automatically by Doxygen for libstdc++ from the source code.